<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE web-app PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN" "http://java.sun.com/dtd/web-app_2_3.dtd">
<web-app id="WebApp_ID">
	<display-name>DF_PORTAL</display-name>
	<context-param>
		<param-name>webAppRootKey</param-name>
		<param-value>webapp.root</param-value>
	</context-param>
	<context-param>
		<param-name>contextConfigLocation</param-name>
		<param-value>/WEB-INF/applicationContext.xml</param-value>
	</context-param>

	<!-- <context-param>
		<param-name>UserUsageLog</param-name>
		<param-value>ALL</param-value>
	</context-param> -->

	<filter>
		<filter-name>SetCharacterEncoding</filter-name>
		<filter-class>org.springframework.web.filter.CharacterEncodingFilter</filter-class>
		<init-param>
			<param-name>encoding</param-name>
			<param-value>TIS620</param-value>
		</init-param>
	</filter>
	<filter>
		<filter-name>hibernateFilter</filter-name>
		<filter-class>org.springframework.orm.hibernate3.support.OpenSessionInViewFilter</filter-class>
		<init-param>
			<param-name>sessionFactoryBeanName</param-name>
			<param-value>hibernateSessionFactory</param-value>
		</init-param>
	</filter>
	<filter>
		<filter-name>threadLocalFilter</filter-name>
		<filter-class>com.depthfirst.framework.web.ThreadLocalServletFilter</filter-class>
		<init-param>
			<param-name>before-action-class-0</param-name>
			<param-value>com.depthfirst.framework.ums.web.UserSessionFilterAction</param-value>
		</init-param>
	</filter>
	<filter>
		<filter-name>checkUserSessionFilter</filter-name>
		<filter-class>com.depthfirst.framework.ums.web.CheckUserSessionFilter</filter-class>
		<init-param>
			<param-name>exclude-prefix-0</param-name>
			<param-value>/login.do</param-value>
		</init-param>
	</filter>
	<filter>
		<filter-name>monitoring</filter-name>
		<filter-class>net.bull.javamelody.MonitoringFilter</filter-class>
	</filter>

	<filter-mapping>
		<filter-name>hibernateFilter</filter-name>
		<servlet-name>action</servlet-name>
	</filter-mapping>
	<filter-mapping>
		<filter-name>hibernateFilter</filter-name>
		<servlet-name>dwr-invoker</servlet-name>
	</filter-mapping>
	<filter-mapping>
		<filter-name>hibernateFilter</filter-name>
		<servlet-name>glue-soap</servlet-name>
	</filter-mapping>
	<filter-mapping>
		<filter-name>hibernateFilter</filter-name>
		<url-pattern>/test/hql.jsp</url-pattern>
	</filter-mapping>
	<filter-mapping>
		<filter-name>hibernateFilter</filter-name>
		<url-pattern>/test/ums.jsp</url-pattern>
	</filter-mapping>
	<filter-mapping>
		<filter-name>hibernateFilter</filter-name>
		<url-pattern>/test/batch.jsp</url-pattern>
	</filter-mapping>
	<filter-mapping>
		<filter-name>SetCharacterEncoding</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping>
	<filter-mapping>
		<filter-name>threadLocalFilter</filter-name>
		<servlet-name>action</servlet-name>
	</filter-mapping>
	<filter-mapping>
		<filter-name>threadLocalFilter</filter-name>
		<servlet-name>dwr-invoker</servlet-name>
	</filter-mapping>
	<filter-mapping>
		<filter-name>checkUserSessionFilter</filter-name>
		<servlet-name>downloadFile</servlet-name>
	</filter-mapping>
	<filter-mapping>
		<filter-name>checkUserSessionFilter</filter-name>
		<servlet-name>action</servlet-name>
	</filter-mapping>
	<filter-mapping>
		<filter-name>checkUserSessionFilter</filter-name>
		<url-pattern>/monitoring</url-pattern>
	</filter-mapping> 
	<filter-mapping>
		<filter-name>monitoring</filter-name>
		<url-pattern>/*</url-pattern>
	</filter-mapping> 

	<listener>
		<listener-class>org.springframework.web.context.ContextLoaderListener</listener-class>
	</listener>
    <listener>
    	<listener-class>net.bull.javamelody.SessionListener</listener-class>
    </listener>
    <listener>
    	<listener-class>com.depthfirst.framework.webservice.ApplicationContextWebServiceLoaderListener</listener-class>
    </listener>

	<servlet>
		<servlet-name>action</servlet-name>
		<servlet-class>org.apache.struts.action.ActionServlet</servlet-class>
		<init-param>
			<param-name>config</param-name>
			<param-value>
				/WEB-INF/login-struts-config.xml,
				/WEB-INF/ums-struts-config.xml,
			</param-value>
		</init-param>
		<init-param>
			<param-name>debug</param-name>
			<param-value>2</param-value>
		</init-param>
		<init-param>
			<param-name>detail</param-name>
			<param-value>2</param-value>
		</init-param>
		<init-param>
			<param-name>validate</param-name>
			<param-value>true</param-value>
		</init-param>
		<load-on-startup>1</load-on-startup>
	</servlet>
	<servlet>
		<servlet-name>dwr-invoker</servlet-name>
		<servlet-class>uk.ltd.getahead.dwr.DWRServlet</servlet-class>
		<init-param>
			<param-name>debug</param-name>
			<param-value>true</param-value>
		</init-param>
		<load-on-startup>2</load-on-startup>
	</servlet>
	<servlet>
		<servlet-name>downloadFile</servlet-name>
		<servlet-class>com.depthfirst.framework.web.DownloadFileServlet</servlet-class>
		<init-param>
			<param-name>uploadFileServiceName</param-name>
			<param-value>UploadFileService</param-value>
		</init-param>
		<load-on-startup>2</load-on-startup>
	</servlet>
	<servlet>
		<servlet-name>glue-soap</servlet-name>
		<servlet-class>electric.server.http.ServletServer</servlet-class>
		<init-param>
			<param-name>httpRegistryRoot</param-name>
			<param-value>/</param-value>
		</init-param>
		<load-on-startup>1</load-on-startup>
	</servlet>

	<servlet-mapping>
		<servlet-name>action</servlet-name>
		<url-pattern>*.do</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>dwr-invoker</servlet-name>
		<url-pattern>/dwr/*</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>downloadFile</servlet-name>
		<url-pattern>/download/*</url-pattern>
	</servlet-mapping>
	<servlet-mapping>
		<servlet-name>glue-soap</servlet-name>
		<url-pattern>/services/*</url-pattern>
	</servlet-mapping>

	<session-config>
		<session-timeout>30</session-timeout>
	</session-config>

	<welcome-file-list>
		<welcome-file>test/right.jsp</welcome-file>
		<welcome-file>index.jsp</welcome-file>
	</welcome-file-list>

  <error-page>
    <error-code>400</error-code>
    <location>/errors/e400.jsp</location>
  </error-page>
  <error-page>
    <error-code>401</error-code>
    <location>/errors/e401.jsp</location>
  </error-page>
  <error-page>
    <error-code>403</error-code>
    <location>/errors/e403.jsp</location>
  </error-page>
  <error-page>
    <error-code>404</error-code>
    <location>/errors/e404.jsp</location>
  </error-page>
  <error-page>
    <error-code>406</error-code>
    <location>/errors/e406.jsp</location>
  </error-page>
  <error-page>
    <error-code>503</error-code>
    <location>/errors/e503.jsp</location>
  </error-page>
  <error-page>
    <exception-type>java.lang.Throwable</exception-type>
    <location>/errors/error.jsp</location>
  </error-page>

	<taglib>
		<taglib-uri>/WEB-INF/tld/struts-bean.tld</taglib-uri>
		<taglib-location>/WEB-INF/tld/struts-bean.tld</taglib-location>
	</taglib>
	<taglib>
		<taglib-uri>/WEB-INF/tld/struts-html.tld</taglib-uri>
		<taglib-location>/WEB-INF/tld/struts-html.tld</taglib-location>
	</taglib>
	<taglib>
		<taglib-uri>/WEB-INF/tld/struts-logic.tld</taglib-uri>
		<taglib-location>/WEB-INF/tld/struts-logic.tld</taglib-location>
	</taglib>
	<taglib>
		<taglib-uri>/WEB-INF/tld/struts-nested.tld</taglib-uri>
		<taglib-location>/WEB-INF/tld/struts-nested.tld</taglib-location>
	</taglib>
	<taglib>
		<taglib-uri>/WEB-INF/tld/struts-template.tld</taglib-uri>
		<taglib-location>/WEB-INF/tld/struts-template.tld</taglib-location>
	</taglib>
	<taglib>
		<taglib-uri>/WEB-INF/tld/struts-tiles.tld</taglib-uri>
		<taglib-location>/WEB-INF/tld/struts-tiles.tld</taglib-location>
	</taglib>

</web-app>
